/**
 * 
 */
package net.bigeon.gclc.swt;

import org.eclipse.swt.widgets.Text;

/** A runnable appending text to the content of a {@link Text} component.
 * 
 * @author Emmanuel Bigeon */
public class TextAppendingRunnable implements Runnable {
    /** The text to append on a line (possibly new). */
    private final String next;
    /** The {@link Text} component. */
    private final Text   text;

    /** Create the appending runnable.
     * 
     * @param text the component to update
     * @param next the text to append */
    public TextAppendingRunnable(final Text text, final String next) {
        this.text = text;
        this.next = next;
    }

    /* (non-Javadoc)
     * @see java.lang.Runnable#run() */
    @Override
    public void run() {
        final String initialText = text.getText();
        if (initialText != null && !initialText.isEmpty()) {
            text.append(System.lineSeparator());
        }
        text.append(next);
    }
}